1. Properties
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
        GET
      • Properties
        GET
      • Customers
        POST
      • Companies
        POST
      • Work addresses
        POST
      • Customers
        PATCH
      • Companies
        PATCH
      • Work addresses
        PATCH
      • Properties
        DELETE
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Properties

Companies

Developing
POST
/companies

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Bodyapplication/json

🟠400400 Bad request
🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/companies' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customerType": 2,
    "contact": {
        "title": "mr",
        "firstName": "Marlon",
        "lastName": "Larson",
        "telephone": "1-232-973-3423 x94286",
        "mobile": "238-231-8243",
        "email": "Colleen49@gmail.com"
    },
    "companyName": "Test Company",
    "addressLine1": "4591 Market Street",
    "addressLine2": "Suite 833",
    "addressLine3": "amet do",
    "town": "Bartoletticester",
    "provinceID": 1,
    "postcode": "38085",
    "accountingSystemReference": "604f2b05-713c-4d34-a424-71182dcw221d6",
    "vacant": "No",
    "advertisingID": 1,
    "buildingTypeID": 1,
    "priceBookID": 2,
    "creditorsDayID": 1,
    "hasAfterSalesCareBeenTurnedOn": false
}'
Response Response Example
201 - Example 1
{
    "id": 0,
    "createdByType": "string",
    "createdByID": 0,
    "createdByUser": "string",
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
    "type": "customer",
    "customerType": 0,
    "status": "active",
    "contact": {
        "id": "string",
        "title": "string",
        "firstName": "string",
        "lastName": "string",
        "telephone": "string",
        "mobile": "string",
        "email": "string"
    },
    "companyName": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "addressLine3": "string",
    "town": "string",
    "province": "string",
    "provinceID": 0,
    "postcode": "string",
    "latitude": "string",
    "longitude": "string",
    "accountingSystemReference": "stringstringstringst",
    "vacant": "Yes",
    "advertisingName": "string",
    "advertisingID": 0,
    "buildingType": "string",
    "buildingTypeID": 0,
    "priceBookName": "string",
    "priceBookID": 0,
    "creditorDays": "string",
    "creditorsDayID": 0,
    "hasAfterSalesCareBeenTurnedOn": true,
    "links": {
        "self": "string",
        "assets": "string",
        "contracts": "string",
        "opportunities": "string",
        "jobs": "string"
    }
}
Modified at 2026-07-02 10:56:12
Previous
Customers
Next
Work addresses
Built with